Bug 177175 - Expression in 'at' block is not formatted
Expression in 'at' block is not formatted
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: Anton Chechel
issues@javafx
68patch1-verified
:
Depends on:
Blocks: 173487
  Show dependency treegraph
 
Reported: 2009-11-19 03:07 UTC by Alexandr Scherbatiy
Modified: 2010-01-26 03:05 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2009-11-19 03:07:42 UTC
Product Version         = NetBeans IDE Dev (Build 200911180645) (#99dcd4880fda)
  Operating System        = Windows XP version 5.1 running on x86
  Java; VM; Vendor        = 1.6.0_15; Java HotSpot(TM) Client VM 14.1-b02; Sun Microsystems Inc.


Steps to reproduce:

- Copy the code to the editor:
-----------------------------------------------
import javafx.animation.*;

var blur: Double = 80.0;

Timeline {
    repeatCount: Timeline.INDEFINITE
    keyFrames: [
        at (0s) {   blur         =>   80.0        }
        at (3s) { blur =>          0.0 tween Interpolator.EASEBOTH}
        at (5s) {     blur => 0.0 }
    ]
}
-----------------------------------------------

- Format the code

The code is not formatted.
Comment 1 Anton Chechel 2009-11-25 10:41:00 UTC
fixed
http://hg.netbeans.org/javafx/rev/35d5d2e36e37
Comment 2 Alexandr Scherbatiy 2009-12-11 05:13:01 UTC
verified in NetBeans-JavaFX-Soma:  #62
Comment 3 Petr Suchomel 2010-01-15 03:29:52 UTC
Fixed in release68_fixes
http://hg.netbeans.org/javafx/rev/f7831558514b
Comment 4 Alexandr Scherbatiy 2010-01-26 03:05:46 UTC
Verified in NB 6.8 patch1 2010-01-25_21-27-59


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo